package cn.yw.alarm.model;

import cn.base.bean.BaseBean;
//[运维告警信息表表]

public class YwalarmeventinfoBean extends BaseBean implements java.io.Serializable {
	private String alarmeventid;//[告警事件id]
	private String alarmruleid;//[告警规则id]
	private String alarmrulename;//[告警规则名称]
	private long alarmdevicetype;//[告警设备类型]
	private String alarmdevicename;//[告警设备名称]
	private String alarmdeviceid;//[告警设备编号]
	private int channelnum;//[通道编号]
	private int alarmtype;//[告警类型]
	private int alarmgrade;//[告警严重级别]
	private String alarmsubtypecode;//[告警子类型编码]
	private String alarmsubtypename;//[告警子类型编码名称]
	private String alarmreason;//[告警原因]
	private String alarmtime;//[告警时间]
	private String falutdtype;//[故障描述]
	private String falutdescription;//[故障描述]
	private int processstatus;//[处理状态]
	private String processtime;//[处理时间]
	private String processaccount;//[处理人员编号]
	private String processdescription;//[处理描述]
	private String unalarmtime;//[销警时间]
	private String completetime;//[完成处理时间]
	private String completeaccount;//[完成处理人员编号]
	private String pictureurl;//[图片url路径]
	private String videourl;//[视频url路径]
	private String relatetaskbatchnum;//[处理人员编号]
	private String relatetasknum;//[处理人员编号]
	private String accountnum;//[客户编号]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setAlarmeventid(String alarmeventid){
		this.alarmeventid = alarmeventid;
	}
	public String getAlarmeventid(){
		return alarmeventid;
	}
	public void setAlarmruleid(String alarmruleid){
		this.alarmruleid = alarmruleid;
	}
	public String getAlarmruleid(){
		return alarmruleid;
	}
	public void setAlarmrulename(String alarmrulename){
		this.alarmrulename = alarmrulename;
	}
	public String getAlarmrulename(){
		return alarmrulename;
	}
	public void setAlarmdevicetype(long alarmdevicetype){
		this.alarmdevicetype = alarmdevicetype;
	}
	public long getAlarmdevicetype(){
		return alarmdevicetype;
	}
	public void setAlarmdevicename(String alarmdevicename){
		this.alarmdevicename = alarmdevicename;
	}
	public String getAlarmdevicename(){
		return alarmdevicename;
	}
	public void setAlarmdeviceid(String alarmdeviceid){
		this.alarmdeviceid = alarmdeviceid;
	}
	public String getAlarmdeviceid(){
		return alarmdeviceid;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setAlarmtype(int alarmtype){
		this.alarmtype = alarmtype;
	}
	public int getAlarmtype(){
		return alarmtype;
	}
	public void setAlarmgrade(int alarmgrade){
		this.alarmgrade = alarmgrade;
	}
	public int getAlarmgrade(){
		return alarmgrade;
	}
	public void setAlarmsubtypecode(String alarmsubtypecode){
		this.alarmsubtypecode = alarmsubtypecode;
	}
	public String getAlarmsubtypecode(){
		return alarmsubtypecode;
	}
	public void setAlarmsubtypename(String alarmsubtypename){
		this.alarmsubtypename = alarmsubtypename;
	}
	public String getAlarmsubtypename(){
		return alarmsubtypename;
	}
	public void setAlarmreason(String alarmreason){
		this.alarmreason = alarmreason;
	}
	public String getAlarmreason(){
		return alarmreason;
	}
	public void setAlarmtime(String alarmtime){
		this.alarmtime = alarmtime;
	}
	public String getAlarmtime(){
		return alarmtime;
	}
	public void setFalutdtype(String falutdtype){
		this.falutdtype = falutdtype;
	}
	public String getFalutdtype(){
		return falutdtype;
	}
	public void setFalutdescription(String falutdescription){
		this.falutdescription = falutdescription;
	}
	public String getFalutdescription(){
		return falutdescription;
	}
	public void setProcessstatus(int processstatus){
		this.processstatus = processstatus;
	}
	public int getProcessstatus(){
		return processstatus;
	}
	public void setProcesstime(String processtime){
		this.processtime = processtime;
	}
	public String getProcesstime(){
		return processtime;
	}
	public void setProcessaccount(String processaccount){
		this.processaccount = processaccount;
	}
	public String getProcessaccount(){
		return processaccount;
	}
	public void setProcessdescription(String processdescription){
		this.processdescription = processdescription;
	}
	public String getProcessdescription(){
		return processdescription;
	}
	public void setUnalarmtime(String unalarmtime){
		this.unalarmtime = unalarmtime;
	}
	public String getUnalarmtime(){
		return unalarmtime;
	}
	public void setCompletetime(String completetime){
		this.completetime = completetime;
	}
	public String getCompletetime(){
		return completetime;
	}
	public void setCompleteaccount(String completeaccount){
		this.completeaccount = completeaccount;
	}
	public String getCompleteaccount(){
		return completeaccount;
	}
	public void setPictureurl(String pictureurl){
		this.pictureurl = pictureurl;
	}
	public String getPictureurl(){
		return pictureurl;
	}
	public void setVideourl(String videourl){
		this.videourl = videourl;
	}
	public String getVideourl(){
		return videourl;
	}
	public void setRelatetaskbatchnum(String relatetaskbatchnum){
		this.relatetaskbatchnum = relatetaskbatchnum;
	}
	public String getRelatetaskbatchnum(){
		return relatetaskbatchnum;
	}
	public void setRelatetasknum(String relatetasknum){
		this.relatetasknum = relatetasknum;
	}
	public String getRelatetasknum(){
		return relatetasknum;
	}
	public void setAccountnum(String accountnum){
		this.accountnum = accountnum;
	}
	public String getAccountnum(){
		return accountnum;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}